<?
$set['meta_keywords']=(isset($set['meta_keywords']))?$set['meta_keywords']:null;
$set['meta_description']=(isset($set['meta_description']))?$set['meta_description']:null;

// Ключевые слова
if ($set['meta_keywords']!=NULL)
{ 
	function meta_keywords($str)
	{
		global $set;
		return str_replace('</head>', '<meta name="keywords" content="'.$set['meta_keywords'].'" />'."\n</head>", $str);
	}
	ob_start('meta_keywords');
}

// Описание мета
if ($set['meta_description']!=NULL)
{
	function meta_description($str)
	{
		global $set;
		return str_replace('</head>', '<meta name="description" content="'.$set['meta_description'].'" />'."\n</head>", $str);
	}
	ob_start('meta_description');
}

if (file_exists(H."style/themes/$set[set_them]/head.php"))
include_once H."style/themes/$set[set_them]/head.php";
################################################################################
if (isset($user['id']))
{
$extra_n=rand(1,100);
if ($extra_n == 100 or $extra_n == 50 or $extra_n == 1)
{
@session_start();
$extra_unic=rand(1111111111,9999999999);
$_SESSION['unic_code']=$extra_unic;
$_SESSION['is_str']=$_SERVER['PHP_SELF'];
echo '<div class="aut"><a href="/pages/extra_ball.php?unic_code='.$extra_unic.'">Лови подарок от удачьки сайт</a></div>';
}}
################################################################################
else
{
	$set['web'] = false;
	//header("Content-type: application/vnd.wap.xhtml+xml");
	//header("Content-type: application/xhtml+xml");
	header("Content-type: text/html");
	echo '<?xml version="1.0" encoding="utf-8"?>';
	?><!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru">
	<head>
	<title><?echo $set['title'];?></title>
	<link rel="shortcut icon" href="/favicon.ico" />
	<link rel="stylesheet" href="/style/themes/<?echo $set['set_them'];?>/style.css" type="text/css" />
	<link rel="alternate" title="Новости RSS" href="/news/rss.php" type="application/rss+xml" />
	</head>
	<body>
	<div class="body">
	<?
}

// Уведомления 
if (isset($_SESSION['message']))
{
	echo '<div class="msg">' . $_SESSION['message'] . '1</div>'; 
	$_SESSION['message'] = NULL;
}

// Вывод ошибок
if (isset($_SESSION['err']))
{
	echo "<div class='msg'>$_SESSION[err]</div>";
	$_SESSION['err'] = NULL;
}
$admin_settings=mysql_fetch_array(mysql_query("SELECT * FROM `admin_settings`"));
if ($admin_settings["udacha"]==1){
if(isset($user)){
$ud=rand(1, 30);
if($ud==15){
mysql_query("INSERT INTO `udacha_yes` (`user`)values('$user[id]')");
}
}
}
?>
<link rel="stylesheet" href="/style/system.css" type="text/css" />